AptResolve.pm

Материал из ALT Linux Wiki
Перейти к: навигация, поиск


AptResolve.pm — это модуль для программ на Perl, предоставляющий функции для отслеживания межпакетных зависимостей. Модуль основан на AptPkg.pm. Основное отличие от базового модуля заключается в возможности работать с несколькими независимыми конфигурациями подсистемы apt (т.е. файлами apt.conf) параллельно и расширенном наборе функций, специализирующимся на типовых задачах отслеживания межпакетных зависимостей.

Состав[править]

Функции[править]

Набор функций включает в себя:

resolve 
поиск бинарного или исходного пакета по имени бинарного пакета, предоставляемому символу, пути к файлу[1] из пакета, с ограничением на версию пакета или символа;
resolve_src 
поиск исходного пакета по имени исходного или бинарного пакета, с ограничением на версию пакета;
depends 
проверка наличия у пакета указанной зависимости с возвращением уточнённой зависимости;
bins 
получение списка бинарных пакетов исходного пакета, определённого запросом по имени исходного или бинарного пакета, с ограничением на версию пакета;
build_depends 
получение списка сборочных зависимостей исходного пакета, определённого запросом по имени исходного или бинарного пакета, с ограничением на версию пакета;
environment 
вычисление набора бинарных пакетов, требуемого для установки в чистую систему указанного бинарного пакета;
build_environment 
вычисление набора бинарных пакетов, требуемого для сборки указанного исходного пакета;
bin_environment 
вычисление набора бинарных пакетов, требуемого для установки в чистую систему всех бинарных пакетов, предоставляемых указанным исходным пакетом (окружение install_check).

При поиске пакетов по предоставляемым символам есть возможность специальной обработки зависимостей на символы glibc, которые могут иметь различные представления на различных архитектурах.

Функции для вычисления набора бинарных пакетов (окружения), способны выполнять вычисления сразу по двумя репозиториями, что позволяет эффективно решать задачи, связанные с портированием пакетов.

Исходный код[править]

Лицензия[править]

  • GPL версии 2 и выше.

Примечания[править]

  1. Для поиска по файлу необходима версия модуля AptPkg.pm, реализующая такую возможность, например таким образом.